Subject: Re: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Wed, 19 Oct 2022 07:16:13 +0000

Stefan Monnier <[email-masked]> writes:

>> The fundamental issue that necessitates boilerplate is that packages are
>> not added to the theme load path, and adding a new cookie type doesn't
>> change that.
>
> We could arrange for `autoload/loaddefs-gen` to recognize `deftheme` and
> add the directory containing the file containing this `deftheme` to the
> `custom-theme-load-path`.

For packages installed using package.el or in general?  If this is
possible I think this would be a nice idea.